module CPowerVariables
    implicit none    
    public    
    ! variables
    Type::PowerType
        integer :: NumberOfgenerators
        real(8) :: GeneratorPowerRating
        real(8) :: MudPump1
        real(8) :: MudPump2
        real(8) :: CementPump
        real(8) :: RotaryTable
        real(8) :: Drawworks
        real(8) :: TopDrive
    End type PowerType
    ! Type(PowerType)::Power
end module CPowerVariables